<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>Stuff - lunaran.com</title>
	<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>

	<script type='text/javascript' src='http://www.lunaran.com/inc/jquery-latest.pack.js'></script>
	<script type='text/javascript' src='http://www.lunaran.com/inc/thickbox-compressed.js'></script>
	<link rel='stylesheet' href='http://www.lunaran.com/inc/thickbox.css' type='text/css'>

	<script type='text/javascript' src='http://www.lunaran.com/inc/lun.js'></script>
	<link rel='stylesheet' href='http://www.lunaran.com/inc/style.css' type='text/css'>
	<link rel='Shortcut Icon' href='favicon.ico' type='image/x-icon'>
	<style><!-- 
		#header { background-image: url(images/titles/dtitle02.jpg); } -->
	</style>
</head>
<body><div id='main'>



<div id='header'>
	<div id='title3'></div>
	<div id='title1'>
		<h1><span class='title1a'>Lunaran.com</span>
		<span class='title1b'>Matthew Breit</span>
		<span class='title1c'>Level Designer | Texture Artist</span></h1>
	</div>

	<div id='menu'>

		<!-- home header link -->
		<a href='news.php?date=967028400'>Home</a>
		<!-- about header link -->
		<a href='page.php?id=2'>About</a>
		<!-- maps header link -->
		<a href='maps.php'>Maps</a>
		<!-- textures header link -->
		<a href='page.php?id=8'>Textures</a>
		<!-- stuff header link -->
		<a href='stuff.php'>Stuff</a>

	</div>

</div>



<div id='body'>

<!-- subtexting --><div class='pagemenu'>

	<!--  4 -->
<div class='pagemenu'>

	<!-- stuff header 3 -->
	<div class='generic_maintitle' >
		<h2>Stuff</h2>
	</div>
	<div class='generic_text' >
<p>Enjoy my array of slightly assorted but otherwise uncategorizable other content.</p>
	</div>

	<!-- lunsp1 secrets title 2 -->
	<div class='pagemenu_title' >
		<h3><a href='page.php?id=182'>LunSP1 Secrets</a></h3>
	</div>
	<div class='pagemenu_text' >
<P>When <a href="http://kell.leveldesign.org">Kell</a> released <a href="http://kell.leveldesign.org/convoked.html">Contract Revoked</a>, a hidden area at the end revealed a link to a page he put up <a href="http://kell.leveldesign.org/secrets/">indexing all of the secrets</a> in the pack, many of which are pretty crafty.  I enjoy hiding things in maps as much as he does, although I'm not sure I measure up in cleverness.  Still, I decided to index the secrets in LunSP1 in a (disturbingly) similar manner.</p>
	</div>

	<!-- mouther title 2 -->
	<div class='pagemenu_title' >
		<h3><a href='page.php?id=181'>Mouther</a></h3>
	</div>
	<div class='pagemenu_text' >
<P>Mouther is a MEL-based system of my own devising for saving, blending, and keying skeletal poses.  It was written with the aim of overcoming Doom3's lack of blend shapes - all faces are rigged with joints and painted weights, faces included.  In order to animate facial expressions and lips to spoken dialogue in a timely fashion I needed some way to replicate blend shape-like behavior in Maya that could then be baked out to ordinary keyframes and fed to Doom3's importers.</p>
	</div>

	<!-- Stuff DMENC Title 3 -->
	<div class='generic_maintitle' >
		<h2>Lunaran's Deathmatch Encyclopedia</h2>
	</div>
	<div class='generic_text' >
<p>Back by popular demand (and because they were showing up the most in the 404 log) these are a number of dated and poorly organized articles I wrote many many years ago on multiplayer level design, specifically Quake and Half-Life deathmatch, because that's what I made maps for.  When I became interested in level design I took an analytical approach, picking apart maps that the community regarded as the best and trying to develop the strongest definitions I could of the common level review terms like 'balance', 'flow', and 'connectivity'.  Bear in mind that these make up a snapshot of my complete knowledge of level design circa 2000, instructing the reader in how to develop a map that supports decent gameplay without actually contributing to it.  If I were interested in keeping this site design-essay-centric I'd probably rewrite a lot of it (some of it is actually rather dumb), but instead they're here in their original unmodified forms, with only minor adjustments made for sound and picture quality.</p>
	</div>

	<!-- DMENC Balance Title 2 -->
	<div class='pagemenu_title' >
		<h3><a href='page.php?id=187'>Map Balance</a></h3>
	</div>
	<div class='pagemenu_text' >
<p>This explains the concept of balance in a map layout by analyzing player behavior and movement in greatly simplified examples, and touches for a moment on the role of items therein.  This article has stood the test of time much better than the other sections I wrote, and its only real flaw is that it doesn't carry the concepts far enough.</p>
	</div>

	<!-- DMENC Connectivity Title 2 -->
	<div class='pagemenu_title' >
		<h3><a href='page.php?id=188'>Connectivity</a></h3>
	</div>
	<div class='pagemenu_text' >
<p>This covers directing player movement through a map, and incorrectly asserts that dead ends, forced indirect routes, or other things that slow players are essentially illegal (if used correctly they can create risk around critical points like strong items or make it more difficult for a player to dominate an entire map).  Otherwise critical information for beginners.</p>
	</div>

	<!-- DMENC Flow Title 2 -->
	<div class='pagemenu_title' >
		<h3><a href='page.php?id=189'>Flow</a></h3>
	</div>
	<div class='pagemenu_text' >
<p>This also covers directing player movement through a map, and probably could have been merged easily with Connectivity since they're largely the same concept anyway.</p>
	</div>

	<!-- DMENC Architecture Title 2 -->
	<div class='pagemenu_title' >
		<h3><a href='page.php?id=190'>Architecture</a></h3>
	</div>
	<div class='pagemenu_text' >
<p>This covers creating a map layout, listing different layout "styles", and treats them as if they're mutually exclusive.  The only architecture-related information is some short bits on clipping near the end.</p>
	</div>

	<!-- DMENC Items Title 2 -->
	<div class='pagemenu_title' >
		<h3><a href='page.php?id=191'>Item Placement</a></h3>
	</div>
	<div class='pagemenu_text' >
<p>This goes into placement of items in a map, and tries to train the reader to create a 'neutral density' of item worth across a map, so that movement and action aren't too lopsided.  This is a sound principle, but doesn't work in a vaccuum: some imbalance creates pull or draw in a deathmatch, and contributing or opposing imbalances in the layout can be designed around this, which encourages more interesting player decisions and combat scenarios.</p>
	</div>

	<!-- DMENC Q2vsHL Title 2 -->
	<div class='pagemenu_title' >
		<h3><a href='page.php?id=192'>Quake vs Halflife Mapping</a></h3>
	</div>
	<div class='pagemenu_text' >
<p>Herein I explain the differences between level design in Quake and level design in Half-Life, only indirectly arriving at an exploration of the degree of realism inherent in each.</p>
	</div>

	<!-- DMENC TeamFortress Title 2 -->
	<div class='pagemenu_title' >
		<h3><a href='page.php?id=193'>Team Fortress Mapping</a></h3>
	</div>
	<div class='pagemenu_text' >
<p>When Team Fortress Classic arrived for Half-Life I wrote a (very) shallow exploration of the gameplay ideas to be had in the designer-accessible goal system.  Probably applies to any more 'faithful' port of TF (like Fortress Forever), but doesn't have much bearing at all on TF2.</p>
	</div>
</div>

	<!--   -->

	<!--   -->

	<!--   -->

	<!--   -->

	<!--   -->

	<!--   -->

	<!--   -->

	<!--   -->

	<!--   -->

	<!--   -->

	<!--   -->

	<!--   -->
</div>


</div>



<div id='sidebar'>

<!-- subtexting --><div class='generic'>
<div class='generic'>

	<!-- Menu Twitter -->
	<div class='rule'></div><div class='generic_maintitle' >
		<h2>5x140 Bytes of Nonsense</h2>
	</div>
	<div class='generic_text'>
		<ul class='spaced'>
			<li><a href='http://twitter.com/itslunaranyo/statuses/119785057606049792'>@newton64 how many points is &quot;nrudzicz&quot; worth assuming best placement</a><br>
			8:45am, Sep 30</li>
			<li><a href='http://twitter.com/itslunaranyo/statuses/119784896708349953'>if your local newscaster refers to highs in the upper 80s at the end of september as &quot;a cold front&quot; you have life choices to maybe evaluate</a><br>
			8:45am, Sep 30</li>
			<li><a href='http://twitter.com/itslunaranyo/statuses/118686279754985473'>Not going to turn and look back, though. (i might turn into a pillar of salt.)</a><br>
			7:59am, Sep 27</li>
			<li><a href='http://twitter.com/itslunaranyo/statuses/118685956671946753'>Sunday's party was rather wild and yada yada yada I'm finally at the airport after an unscheduled extra day.</a><br>
			7:58am, Sep 27</li>
			<li><a href='http://twitter.com/itslunaranyo/statuses/118512994471776257'>@gangles This sushi restaurant has an item called the 'Double Double.'</a><br>
			8:31pm, Sep 26</li>
		</ul>
	</div>
</div>


	<!-- menu people -->
	<div class='rule'></div><div class='generic_maintitle' >
		<h2>People to See</h2>
	</div>
	<div class='generic_text' >
<ul>
<li><a href='http://www.button-masher.net' title='KungFuSquirrel - Mapper, Mutton Basher'>Andrew Weldon</a></li>
<li><a href='http://www.autodestruct.com' title='Artist, Breast Man'>Paul Richards</a></li>
<li><a href='http://www.polycat.net/' title='mittense - Designer, Playboy'>Trenton Polack</a></li>
<li><a href='http://www.gangles.ca/' title='Gangles - Designer, Quebecois'>Matthew Gallant</a></li>
<li><a href='http://david.dynerman.name/' title='Topological Superhero'>David Dynerman</a></li>
<li><a href='http://www.hellchick.net' title='Knits stuff, also Hellchick'>Caryn Vainio</a></li>
<li><a href='http://www.kamarov.com' title='Kamarov - Canadian Mapper'>Corey Peters</a></li>
<li><a href='http://www.simonoc.com' title='Sock/Sims - British Mapper'>Simon O'Callaghan</a></li>
<li><a href='http://www.realityisdead.com' title='Angry Mapper'>Ken20Banks</a></li>
<li><a href='http://www.mattburdette.com' title='Effects Artist, Mapper, Bud'>Matt Burdette</a></li>
<li><a href='http://kell.quaddicted.com' title='Mapper, Lovecraft Fan'>Kell McDonald</a></li>
<li><a href='http://www.born-robotic.net' title='Bal - French Mapper, Otaku'>Benoit Stordeur</a></li>
<li><a href='http://www.sparth.com/' title='Sparth - Concept Art Deity, Former Mapper'>Nicolas Bouvier</a></li>
<li><a href='http://www.jesselawrence.com' title='pope - Artist, Mapper, Noncomformist'>Jesse Lawrence</a></li>
<li><a href='http://www.vondur.net' title='Vondur - Mapper, Communist'>Dmitry Svetlichny</a></li>
<li><a href='http://www.gomjabbar.de' title='GomJabbar - Mapper, Internet Whisperer'>Daniel Leinich</a></li>
<li><a href='http://www.celephais.net' title='metlslime - Mapper, Programmer, Visionary'>John Fitzgibbons</a></li>
<li><a href='http://than.quaddicted.com' title='than - Mapper, Faffer'>Andrew Palmer</a></li>
</ul>
	</div>

	<!-- menu places -->
	<div class='rule'></div><div class='generic_maintitle' >
		<h2>Places to Go</h2>
	</div>
	<div class='generic_text' >
<ul>
<li><a href='http://www.lightboxinteractive.com/' title='signs my checks'>Lightbox Interactive</a></li>
<li><a href='http://www.bigrooster.com/' title='paid me in Nintendo DSs'>Big Rooster</a></li>
<li><a href='http://www.rockpapershotgun.com/' title='gaming blagoblog'>Rock Paper Shotgun</a></li>
<li><a href='http://bldgblog.blogspot.com/' title='architecture bits'>BldgBlog</a></li>
<li><a href='http://www.sci-fi-o-rama.com/' title='when men were men and scifi was hard'>Sci-Fi-O-Rama</a></li>
<li><a href='http://ffffound.com/' title='supertrendy image aggregator'>FFFFound!</a></li>
<li><a href='http://butdoesitfloat.com/' title='curated semidaily art finds'>But Does It Float</a></li>
<li><a href='http://www.fubiz.net/' title="it's in french but the pictures are cool">Fubiz</a></li>
</ul>
	</div>

	<!-- menu inspirato -->
	<div class='rule'></div><div class='generic_maintitle' >
		<h2>Inspiration</h2>
	</div>
	<div class='generic_text' >
<ul>
<li><a href='http://www.opacity.us/' title='abandoned buildings'>Opacity</a></li>
<li><a href='http://sleepycity.net/' title='abandoned buildings'>Sleepy City</a></li>
<li><a href='http://www.urbanatrophy.com/' title='abandoned buildings'>Urban Atrophy</a></li>
<li><a href='http://www.zahkunst.net/' title='abandoned buildings'>Zahkunst</a></li>
<li><a href='http://community.livejournal.com/ru_abandoned/' title='abandoned russian buildings'>ru_abandoned</a></li>
</ul>
	</div>

	<!-- menu default feeds -->
	<div class='rule'></div><div class='generic_maintitle' >
		<h2>Subscribe</h2>
	</div>
	<div class='generic_text' >
<a href="lun.rss" title="Be the first to know when I update again three months from now!"><img src="images/rss.png"></a> <a href="http://www.twitter.com/itslunaranyo" title="Follow me now, I could get bored of this at any time!"><img src="images/twit.png"></a>
	</div>
</div>



</div>



<div id='footer'>
	<p>This site is powered by homebrewed PHP and the citrusy goodness of lemons.  Mmm.  Hosting is provided by <a href='http://www.apisnetworks.com/'>ApisNetworks</a>.<br><br>
	6.329ms 5q 0.542qms </p>
	
	<p>Design and all contents  1999-2011 Matt 'Lunaran' Breit, except where specified otherwise.  m&#097;&#116;&#116; &#097;&#116; lu&#110;&#097;r&#097;&#110; do&#116; com</p>

	<p>Dry cynicism and other opinions professed herein are solely my own and do not reflect, and quite often run completely counter to, those of whoever I worked for when I wrote them.</p>
</div>

</div>
</body>
</html>
